/***********************************************************
Live(Hotmail)
***********************************************************/
function initHandler6(handler){
  handler.hostString="hotmail.com";
  handler.initStage=ST_PRE;
  handler.dataURL="http://mail.live.com/?rru=inbox";
  handler.loginData=["",
                      "login","passwd",""];
  handler.mailURL="http://mail.live.com/?rru=inbox";

  handler.process=function (aHttpChannel, aData) {
    switch(this.stage){
    case ST_PRE:
      this.webMailNotifier.getHtml(this,"http://mail.live.com/mail/logout.aspx");
      return false;
    case ST_PRE_RES:
      this.webMailNotifier.getHtml(this,"http://mail.live.com");
      return false;
    case (ST_PRE_RES+1):
      var fnd=aData.match(/srf_uPost=\'([\s\S]+?)\'/);
      if(fnd){
        this.loginData[LOGIN_URL]=fnd[1];
        fnd=aData.match(/PPFT[\s\S]+?value=\"(\S+?)\"/);
        if(fnd){
          this.stage=ST_LOGIN;
          this.webMailNotifier.getHtml(this,this.loginData[LOGIN_URL],this.loginData[LOGIN_POST]+"&PPFT="+fnd[1]);
          return false;
        }
      }
      this.onError();
      return true;
    case ST_LOGIN_RES:
      var fnd=aData.match(/<form.+?action="(.+?)"/);
      if(fnd){//@msn.com
        var fnd0=aData.match(/<input.+?name=[\'\"](\S+?)[\'\"].+?value=[\'\"](\S+?)[\'\"]/);
        var post;
        if(fnd0){
          post=fnd0[1]+"="+encodeURIComponent(fnd0[2]);
        }
        this.webMailNotifier.getHtml(this,fnd[1],post);
        return false;
      }else{
        fnd=aData.match(/replace\([\'\"](\S+?)[\'\"]/);
        if(fnd){
          this.webMailNotifier.getHtml(this,fnd[1]);
          return false;
        }
        this.onError();
        return true;
      }
    case (ST_LOGIN_RES+1):
      this.webMailNotifier.getHtml(this,this.mailURL);
      break;
    case (ST_LOGIN_RES+2):
      var fnd=aData.match(/id=\"UIFrame\".+?src=\"(\S+)\"/);
      if(fnd){
        fnd=fnd[1].replace(/&#(\d+);/g,function(){return String.fromCharCode(RegExp.$1);});
        this.dataURL=fnd;
        this.stage=ST_DATA;
        break;
      }
      this.onError();
      return true;
    }
    return WebMailHandler.prototype.process.call(this,aHttpChannel, aData);
  }

  handler.getData=function(aData){
    var fnd0=aData.match(/<ul.+?folderList.+?>([\s\S]+?)<\/ul>/);
    if(fnd0){
      var fnd=fnd0[1].match(/<li\s+fid=\"fid\"[\s\S]+?>/g);
      if(fnd){
        var s;
        var num=0;
        for each(s in fnd){
          s=s.match(/\s+id=.+?([^-]+?)\".+?count=\"(\d+)\"/);
          if(s){
            if(s[1]=="000000000005"||s[1]=="000000000004"
              ||s[1]=="000000000003"||s[1]=="000000000002")continue;
            num+=parseInt(s[2]);
          }
        }
        return num;
      }
    }
    return -1;
  };
}